// Code generated by github.com/go-enry/go-enry/v2/internal/code-generator DO NOT EDIT.
// Extracted from github/linguist commit: 6aed0bd564f55c4f2d987c2e6035eda7aea26375

package data

var LanguagesByFilename = map[string][]string{
	".Rprofile":                    {"R"},
	".XCompose":                    {"XCompose"},
	".abbrev_defs":                 {"Emacs Lisp"},
	".arcconfig":                   {"JSON"},
	".atomignore":                  {"Ignore List"},
	".babelignore":                 {"Ignore List"},
	".babelrc":                     {"JSON with Comments"},
	".bash_aliases":                {"Shell"},
	".bash_history":                {"Shell"},
	".bash_logout":                 {"Shell"},
	".bash_profile":                {"Shell"},
	".bashrc":                      {"Shell"},
	".browserslistrc":              {"Browserslist"},
	".bzrignore":                   {"Ignore List"},
	".clang-format":                {"YAML"},
	".clang-tidy":                  {"YAML"},
	".classpath":                   {"XML"},
	".coffeelintignore":            {"Ignore List"},
	".cproject":                    {"XML"},
	".cshrc":                       {"Shell"},
	".curlrc":                      {"cURL Config"},
	".cvsignore":                   {"Ignore List"},
	".dir_colors":                  {"dircolors"},
	".dircolors":                   {"dircolors"},
	".dockerignore":                {"Ignore List"},
	".editorconfig":                {"EditorConfig"},
	".eleventyignore":              {"Ignore List"},
	".emacs":                       {"Emacs Lisp"},
	".emacs.desktop":               {"Emacs Lisp"},
	".env":                         {"Shell"},
	".env.example":                 {"Shell"},
	".eslintignore":                {"Ignore List"},
	".eslintrc.json":               {"JSON with Comments"},
	".exrc":                        {"Vim script"},
	".factor-boot-rc":              {"Factor"},
	".factor-rc":                   {"Factor"},
	".flaskenv":                    {"Shell"},
	".gclient":                     {"Python"},
	".gemrc":                       {"YAML"},
	".gitattributes":               {"Git Attributes"},
	".gitconfig":                   {"Git Config"},
	".gitignore":                   {"Ignore List"},
	".gitmodules":                  {"Git Config"},
	".gn":                          {"GN"},
	".gnus":                        {"Emacs Lisp"},
	".gvimrc":                      {"Vim script"},
	".htaccess":                    {"ApacheConf"},
	".htmlhintrc":                  {"JSON"},
	".inputrc":                     {"Readline Config"},
	".irbrc":                       {"Ruby"},
	".jscsrc":                      {"JSON with Comments"},
	".jshintrc":                    {"JSON with Comments"},
	".jslintrc":                    {"JSON with Comments"},
	".login":                       {"Shell"},
	".luacheckrc":                  {"Lua"},
	".nanorc":                      {"nanorc"},
	".nodemonignore":               {"Ignore List"},
	".npmignore":                   {"Ignore List"},
	".npmrc":                       {"NPM Config"},
	".nvimrc":                      {"Vim script"},
	".php":                         {"PHP"},
	".php_cs":                      {"PHP"},
	".php_cs.dist":                 {"PHP"},
	".prettierignore":              {"Ignore List"},
	".profile":                     {"Shell"},
	".project":                     {"XML"},
	".pryrc":                       {"Ruby"},
	".simplecov":                   {"Ruby"},
	".spacemacs":                   {"Emacs Lisp"},
	".stylelintignore":             {"Ignore List"},
	".tern-config":                 {"JSON"},
	".tern-project":                {"JSON"},
	".vimrc":                       {"Vim script"},
	".viper":                       {"Emacs Lisp"},
	".vscodeignore":                {"Ignore List"},
	".watchmanconfig":              {"JSON"},
	".wgetrc":                      {"Wget Config"},
	".zlogin":                      {"Shell"},
	".zlogout":                     {"Shell"},
	".zprofile":                    {"Shell"},
	".zshenv":                      {"Shell"},
	".zshrc":                       {"Shell"},
	"9fs":                          {"Shell"},
	"APKBUILD":                     {"Alpine Abuild"},
	"App.config":                   {"XML"},
	"Appraisals":                   {"Ruby"},
	"BSDmakefile":                  {"Makefile"},
	"BUCK":                         {"Starlark"},
	"BUILD":                        {"Starlark"},
	"BUILD.bazel":                  {"Starlark"},
	"Berksfile":                    {"Ruby"},
	"Brewfile":                     {"Ruby"},
	"Buildfile":                    {"Ruby"},
	"CMakeLists.txt":               {"CMake"},
	"COPYING":                      {"Text"},
	"COPYING.regex":                {"Text"},
	"COPYRIGHT.regex":              {"Text"},
	"Cakefile":                     {"CoffeeScript"},
	"Capfile":                      {"Ruby"},
	"Cargo.lock":                   {"TOML"},
	"Cask":                         {"Emacs Lisp"},
	"DEPS":                         {"Python"},
	"DIR_COLORS":                   {"dircolors"},
	"Dangerfile":                   {"Ruby"},
	"Deliverfile":                  {"Ruby"},
	"Dockerfile":                   {"Dockerfile"},
	"Emakefile":                    {"Erlang"},
	"FONTLOG":                      {"Text"},
	"Fakefile":                     {"Fancy"},
	"Fastfile":                     {"Ruby"},
	"GNUmakefile":                  {"Makefile"},
	"Gemfile":                      {"Ruby"},
	"Gemfile.lock":                 {"Ruby"},
	"Gopkg.lock":                   {"TOML"},
	"Guardfile":                    {"Ruby"},
	"INSTALL":                      {"Text"},
	"INSTALL.mysql":                {"Text"},
	"Jakefile":                     {"JavaScript"},
	"Jarfile":                      {"Ruby"},
	"Jenkinsfile":                  {"Groovy"},
	"Kbuild":                       {"Makefile"},
	"LICENSE":                      {"Text"},
	"LICENSE.mysql":                {"Text"},
	"Lexer.x":                      {"Lex"},
	"Makefile":                     {"Makefile"},
	"Makefile.PL":                  {"Perl"},
	"Makefile.am":                  {"Makefile"},
	"Makefile.boot":                {"Makefile"},
	"Makefile.frag":                {"Makefile"},
	"Makefile.in":                  {"Makefile"},
	"Makefile.inc":                 {"Makefile"},
	"Makefile.wat":                 {"Makefile"},
	"Mavenfile":                    {"Ruby"},
	"Modulefile":                   {"Puppet"},
	"NEWS":                         {"Text"},
	"Notebook":                     {"Jupyter Notebook"},
	"NuGet.config":                 {"XML"},
	"Nukefile":                     {"Nu"},
	"PKGBUILD":                     {"Shell"},
	"Phakefile":                    {"PHP"},
	"Pipfile":                      {"TOML"},
	"Pipfile.lock":                 {"JSON"},
	"Podfile":                      {"Ruby"},
	"Project.ede":                  {"Emacs Lisp"},
	"Puppetfile":                   {"Ruby"},
	"README.1ST":                   {"Text"},
	"README.me":                    {"Text"},
	"README.mysql":                 {"Text"},
	"README.nss":                   {"Text"},
	"ROOT":                         {"Isabelle ROOT"},
	"Rakefile":                     {"Ruby"},
	"Rexfile":                      {"Perl"},
	"SConscript":                   {"Python"},
	"SConstruct":                   {"Python"},
	"Settings.StyleCop":            {"XML"},
	"Slakefile":                    {"LiveScript"},
	"Snakefile":                    {"Python"},
	"Snapfile":                     {"Ruby"},
	"Thorfile":                     {"Ruby"},
	"Tiltfile":                     {"Starlark"},
	"Vagrantfile":                  {"Ruby"},
	"WORKSPACE":                    {"Starlark"},
	"Web.Debug.config":             {"XML"},
	"Web.Release.config":           {"XML"},
	"Web.config":                   {"XML"},
	"XCompose":                     {"XCompose"},
	"_curlrc":                      {"cURL Config"},
	"_dir_colors":                  {"dircolors"},
	"_dircolors":                   {"dircolors"},
	"_emacs":                       {"Emacs Lisp"},
	"_vimrc":                       {"Vim script"},
	"abbrev_defs":                  {"Emacs Lisp"},
	"ack":                          {"Perl"},
	"ant.xml":                      {"Ant Build System"},
	"apache2.conf":                 {"ApacheConf"},
	"bash_aliases":                 {"Shell"},
	"bash_logout":                  {"Shell"},
	"bash_profile":                 {"Shell"},
	"bashrc":                       {"Shell"},
	"browserslist":                 {"Browserslist"},
	"build.xml":                    {"Ant Build System"},
	"buildfile":                    {"Ruby"},
	"buildozer.spec":               {"INI"},
	"cabal.config":                 {"Cabal Config"},
	"cabal.project":                {"Cabal Config"},
	"click.me":                     {"Text"},
	"composer.lock":                {"JSON"},
	"configure.ac":                 {"M4Sugar"},
	"contents.lr":                  {"Markdown"},
	"cpanfile":                     {"Perl"},
	"cshrc":                        {"Shell"},
	"delete.me":                    {"Text"},
	"descrip.mmk":                  {"Module Management System"},
	"descrip.mms":                  {"Module Management System"},
	"devcontainer.json":            {"JSON with Comments"},
	"dir_colors":                   {"dircolors"},
	"encodings.dir":                {"X Font Directory Index"},
	"eqnrc":                        {"Roff"},
	"expr-dist":                    {"R"},
	"firestore.rules":              {"Cloud Firestore Security Rules"},
	"fonts.alias":                  {"X Font Directory Index"},
	"fonts.dir":                    {"X Font Directory Index"},
	"fonts.scale":                  {"X Font Directory Index"},
	"fp-lib-table":                 {"KiCad Layout"},
	"gitignore-global":             {"Ignore List"},
	"gitignore_global":             {"Ignore List"},
	"glide.lock":                   {"YAML"},
	"go.mod":                       {"Text"},
	"go.sum":                       {"Text"},
	"gradlew":                      {"Shell"},
	"gvimrc":                       {"Vim script"},
	"haproxy.cfg":                  {"HAProxy"},
	"httpd.conf":                   {"ApacheConf"},
	"inputrc":                      {"Readline Config"},
	"installscript.qs":             {"Qt Script"},
	"jsconfig.json":                {"JSON with Comments"},
	"keep.me":                      {"Text"},
	"language-configuration.json":  {"JSON with Comments"},
	"language-subtag-registry.txt": {"Record Jar"},
	"ld.script":                    {"Linker Script"},
	"lexer.x":                      {"Lex"},
	"login":                        {"Shell"},
	"m3makefile":                   {"Quake"},
	"m3overrides":                  {"Quake"},
	"makefile":                     {"Makefile"},
	"makefile.sco":                 {"Makefile"},
	"man":                          {"Shell"},
	"mcmod.info":                   {"JSON"},
	"meson.build":                  {"Meson"},
	"meson_options.txt":            {"Meson"},
	"mix.lock":                     {"Elixir"},
	"mkfile":                       {"Makefile"},
	"mmn":                          {"Roff"},
	"mmt":                          {"Roff"},
	"nanorc":                       {"nanorc"},
	"nextflow.config":              {"Nextflow"},
	"nginx.conf":                   {"Nginx"},
	"nim.cfg":                      {"Nim"},
	"nvimrc":                       {"Vim script"},
	"owh":                          {"Tcl"},
	"package.mask":                 {"Text"},
	"package.use.mask":             {"Text"},
	"package.use.stable.mask":      {"Text"},
	"packages.config":              {"XML"},
	"poetry.lock":                  {"TOML"},
	"pom.xml":                      {"Maven POM"},
	"profile":                      {"Shell"},
	"read.me":                      {"Text"},
	"readme.1st":                   {"Text"},
	"rebar.config":                 {"Erlang"},
	"rebar.config.lock":            {"Erlang"},
	"rebar.lock":                   {"Erlang"},
	"riemann.config":               {"Clojure"},
	"ssh-config":                   {"SSH Config"},
	"ssh_config":                   {"SSH Config"},
	"sshconfig":                    {"SSH Config"},
	"sshconfig.snip":               {"SSH Config"},
	"sshd-config":                  {"SSH Config"},
	"sshd_config":                  {"SSH Config"},
	"starfield":                    {"Tcl"},
	"test.me":                      {"Text"},
	"toolchain_installscript.qs":   {"Qt Script"},
	"troffrc":                      {"Roff"},
	"troffrc-end":                  {"Roff"},
	"tsconfig.json":                {"JSON with Comments"},
	"tslint.json":                  {"JSON with Comments"},
	"use.mask":                     {"Text"},
	"use.stable.mask":              {"Text"},
	"vimrc":                        {"Vim script"},
	"wscript":                      {"Python"},
	"xcompose":                     {"XCompose"},
	"yarn.lock":                    {"YAML"},
	"zlogin":                       {"Shell"},
	"zlogout":                      {"Shell"},
	"zprofile":                     {"Shell"},
	"zshenv":                       {"Shell"},
	"zshrc":                        {"Shell"},
}
